libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Angular Separation

## Functions
double | ln_get_angular_separation (struct ln_equ_posn *posn1, struct ln_equ_posn *posn2)
| Calculate the angular separation between 2 bodies. More...
double | ln_get_rel_posn_angle (struct ln_equ_posn *posn1, struct ln_equ_posn *posn2)
| Calculate the position angle between 2 bodies. More...

## Detailed Description

Functions relating to an the angular separation and position angle between 2 bodies.

All angles are expressed in degrees.

## Function Documentation

double ln_get_angular_separation | ( | struct ln_equ_posn * | posn1,
|  | struct ln_equ_posn * | posn2
| ) |  |

Calculate the angular separation between 2 bodies.

Parameters

  posn1 | Equatorial position of body 1
  posn2 | Equatorial position of body 2

Returns
  Angular separation in degrees

Calculates the angular separation of 2 bodies. This method was devised by Mr Thierry Pauwels of the Royal Observatory Belgium.

References ln_equ_posn::dec, ln_deg_to_rad(), ln_rad_to_deg(), and ln_equ_posn::ra.

double ln_get_rel_posn_angle | ( | struct ln_equ_posn * | posn1,
|  | struct ln_equ_posn * | posn2
| ) |  |

Calculate the position angle between 2 bodies.

Parameters

  posn1 | Equatorial position of body 1
  posn2 | Equatorial position of body 2

Returns
  Position angle in degrees

Calculates the position angle of a body with respect to another body.

References ln_equ_posn::dec, ln_deg_to_rad(), ln_rad_to_deg(), and ln_equ_posn::ra.